%define upstream_name	 Set-Object
%define upstream_version 1.28

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Set of objects and strings in Perl
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Set/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
This module implements a set of objects, that is, an unordered collection of
objects without duplication.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# should not have been included
# http://rt.cpan.org/Ticket/Display.html?id=37799
rm -f t/misc/threads.t

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README META.yml
%{perl_vendorarch}/Set
%{perl_vendorarch}/auto/Set
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.280.0-4.mga3
+ Revision: 372610
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.280.0-3.mga3
+ Revision: 251098
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.280.0-2.mga2
+ Revision: 104960
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.280.0-1.mga1
+ Revision: 31145
- mageia rebuild
- imported package perl-Set-Object

